summaryrefslogtreecommitdiffstats
path: root/repoman/bin/reduceimage
diff options
context:
space:
mode:
authoririna <irinagomez@us.es>2017-11-08 13:22:41 +0000
committeririna <irinagomez@us.es>2017-11-08 13:22:41 +0000
commit744ecd6404213903f08b712aa4fac5ea19fa3201 (patch)
tree3ceab32680e6accc72a7a7f3bff9a1ffacc0cb7a /repoman/bin/reduceimage
parent043e67df0eb136868ca7d5852e9753026cb23bb8 (diff)
#770 Script de servidor sincronizadas: si no existe fichero de idioma toma por defecto el castellano.
git-svn-id: https://opengnsys.es/svn/branches/version1.1@5503 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'repoman/bin/reduceimage')
-rwxr-xr-xrepoman/bin/reduceimage58
1 files changed, 58 insertions, 0 deletions
diff --git a/repoman/bin/reduceimage b/repoman/bin/reduceimage
new file mode 100755
index 00000000..c83f2d50
--- /dev/null
+++ b/repoman/bin/reduceimage
@@ -0,0 +1,58 @@
+#!/bin/bash
+#/**
+# reduceimage
+#@brief Reduce el archivo de la imagen a tamaño datos + 500M
+#@param 1 imagen
+#@param 2 extension [ img|diff ] opcional, por defecto img
+#@return
+#@exception OG_ERR_FORMAT # 1 formato incorrecto.
+#@exception OG_ERR_NOTFOUND # 2 Fichero o dispositivo no encontrado
+#@exception OG_ERR_LOCKED # 4 Partición o fichero bloqueado
+#@exception OG_ERR_DONTSYNC_IMAGE #71 Imagen no sincronizable (es monolitica)
+#@version 1.0 - Reducir tamaño imagen sincronizable
+#@author Irina Gomez
+#@date 2013-05-23
+#*/ ##
+BASEDIR=/opt/opengnsys
+REPODIR="$BASEDIR/images"
+REPOLOG=$BASEDIR/log/ogAdmRepo.log
+# Cargamos los mensajes en el idioma del sistema.
+# Comprobamos que el fichero de idioma existe. Si no "es_ES" por defecto.
+ls $BASEDIR/client/etc/lang.$LANG.conf &>/dev/null
+[ $? -eq 0 ] || LANG="es_ES"
+source $BASEDIR/client/etc/lang.$LANG.conf
+
+PROG="$(basename $0)"
+# Si se solicita, mostrar ayuda.
+if [ "$*" == "help" ]; then
+ echo -e " $PROG: $MSG_HELP_ogReduceImage \n" \
+ "$MSG_FORMAT: $PROG nombre_image [ img|diff ] \n" \
+ "base -> $PROG Windows7 \n" \
+ "diff -> $PROG Ubuntu12 diff"
+ exit 0
+fi
+
+[ $# -lt 1 ] && echo -e "$PROG: Error: $MSG_ERR_FORMAT \n $MSG_FORMAT: $PROG image [ img | diff ]" && exit 1
+
+if [ "$USER" != "root" ]; then
+ echo "$PROG: Error: solo ejecutable por root" >&2
+ exit 1
+fi
+
+[ "$2" == "" -o "$2" == "img" ] && IMGEXT="img" || IMGEXT="img.diff"
+# Comprobamos que existe imagen y que no este bloqueada
+IMGFILE="$REPODIR/$1.$IMGEXT"
+[ ! -f $IMGFILE ] && echo "$PROG: Error: $MSG_ERR_NOTFOUND $1 $IMGEXT" && exit 2
+[ -f $IMGFILE.lock ] && echo "$PROG: Error: $MSG_ERR_LOCKED $1 $IMGEXT" && exit 4
+
+# Comprobar que la imagen es sincronizable
+if ! file $IMGFILE | grep -i -e " BTRFS Filesystem " -e " ext4 filesystem " >/dev/null ; then
+ echo "$PROG: Error: $MSG_ERR_DONTSYNC_IMAGE $1 $2"
+ exit 71
+fi
+
+touch $IMGFILE.lock
+echo -ne REDUCE_IMAGE "$1" ${IMGEXT#*\.} | /opt/opengnsys/sbin/ogAdmRepoAux
+echo "Los resultado se registran en $REPOLOG. "
+
+rm $IMGFILE.lock